
# Magic Leap 2 Setup Tool

A tool to configure your Unity project to build for Magic Leap 2. It automates the process outlined here: [Magic Leap Getting Started Guide](https://developer-docs.magicleap.cloud/docs/guides/unity/getting-started/configure-unity-settings).

  
  

## Prerequisites

  

Before installing this package, please make sure you set up your developer environment.

  

- [Installing Magic Leap 2 Tools and SDK](https://developer-docs.magicleap.cloud/docs/guides/unity/getting-started/install-the-tools)

- [Installing Unity 2022.2.x](https://unity3d.com/get-unity/download)

  
  

>  **Make sure to install the Unity bundle while installing the Magic Leap 2 SDK**

  
  

# Setup Instructions

- Import the package your [Unity Asset Store](https://assetstore.unity.com/packages/tools/integration/magic-leap-setup-tool-194780).

- Open the Magic Leap Setup Window.

- From the Magic Leap dropdown select Project Setup Tool **(Figure 1)**.

<img  src="Documentation~/Images/Figure 01.png"  alt="Figure 1: To open the Project Setup Tool select Magic Leap > Project Setup Tool"  title="Figure 1: To open the Project Setup Tool select Magic Leap > Project Setup Tool"  width=40%  height=40%  style="padding: 15px;">

  

> Figure 1: To open the Project Setup Tool select Magic Leap > Project Setup Tool.

  

- Select **Apply All** to start the setup process. **(Figure 2)**

  

<img  src="Documentation~/Images/Figure 02.png"  alt="Figure 2: To execute the setup tool select Apply All at the bottom of the window"  title="Figure 2: To execute the setup tool select Apply All at the bottom of the window"  width=25%  height=30%  style="padding: 15px;">

  

> Figure 2: To execute the setup tool select **Apply All** at the bottom of the window.

  

- Follow the instructions on the on the screen and restart the editor if necessary.

  
  
  
  

## Have Feedback Or Need Help?

- If you would like to provide feedback or need extra help setting up. Please create a ticket on the [Magic Leap Developer Forum](https://forum.magicleap.cloud).